File pdns-3.1_lib_lua.patch of Package pdns

Index: modules/luabackend/Makefile.am
===================================================================
--- modules/luabackend/Makefile.am.orig
+++ modules/luabackend/Makefile.am
@@ -9,5 +9,5 @@ lib_LTLIBRARIES = libluabackend.la
 libluabackend_la_SOURCES=luabackend.cc luabackend.hh minimal.cc reload.cc lua_functions.cc master.cc private.cc slave.cc supermaster.cc dnssec.cc \
 	lua_functions.hh 
 
-libluabackend_la_LDFLAGS=-module -avoid-version -llua5.1
+libluabackend_la_LDFLAGS=-module -avoid-version $(LUA_LIBS)
 #-lluajit-5.1
Index: modules/luabackend/Makefile.in
===================================================================
--- modules/luabackend/Makefile.in.orig
+++ modules/luabackend/Makefile.in
@@ -265,7 +265,7 @@ lib_LTLIBRARIES = libluabackend.la
 libluabackend_la_SOURCES = luabackend.cc luabackend.hh minimal.cc reload.cc lua_functions.cc master.cc private.cc slave.cc supermaster.cc dnssec.cc \
 	lua_functions.hh 
 
-libluabackend_la_LDFLAGS = -module -avoid-version -llua5.1
+libluabackend_la_LDFLAGS = -module -avoid-version $(LUA_LIBS)
 all: all-am
 
 .SUFFIXES: